package com.diagbot.repository;

import com.diagbot.entity.node.PacsName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface PacsNameRepository extends Neo4jRepository<PacsName, Long> {

    List<PacsName> findByNameIs(String name);

    List<PacsName> findByNameContaining(String name);

    @Query("MATCH (n:辅助检查名称) where n.name contains {name} return n limit 100 ")
    List<PacsName> findByNameContainingLimit100(@Param("name") String name);

    List<PacsName> findByNameIn(List<String> names);
}

